College Basketball DataCollege Basketball Data
  • CollegeBasketballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • API Reference
Helpful links
  • CBBD
  • Get API key
  • Access tiers
Official libraries
  • Python
  • TypeScript
  • R
  • API source
Other resources
  • Rad Sports Analytics
  • Football
  • CBB Starter Pack

A Rad Sports Analytics platform.

xdiscordgithub
Information
Games
    /gamesget/games/mediaget/games/teamsget/games/playersget/scoreboardget
Plays
    /substitutions/game/{gameId}get/substitutions/player/{playerId}get/substitutions/teamget/plays/game/{gameId}get/plays/player/{playerId}get/plays/teamget/plays/dateget/plays/tournamentget/plays/typesget
Teams
    /teamsget/teams/rosterget
Conferences
    /conferencesget/conferences/historyget
Venues
    /venuesget
Stats
    /stats/team/leaderboardget/stats/team/seasonget/stats/team/shooting/seasonget/stats/player/seasonget/stats/player/shooting/seasonget
Rankings
    /rankingsget
Ratings
    /ratings/srsget/ratings/adjustedget/ratings/eloget
Lines
    /linesget/lines/providersget
Lineups
    /lineups/teamget/lineups/game/{gameId}get
Draft
    /draft/teamsget/draft/positionsget/draft/picksget
Recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/portalget
Schemas
powered by Zudoku
College Basketball Data API
College Basketball Data API

Teams

Download schema

Team information and rosters.


GET
https://api.collegebasketballdata.com
/teams
Bearer

Returns team and conference information.

query Parameters

conference
​string

Filters results to the specified conference abbreviation.

season
​integer · int32

Returns conference membership for the specified season.

Responses

200

Ok

​TeamInfo[]
TeamInfo
id
​integer · int32 · required
sourceId
​string · required
school
​string · required
mascot
​string | null · required
abbreviation
​string | null · required
displayName
​string | null · required
shortDisplayName
​string | null · required
primaryColor
​string | null · required
secondaryColor
​string | null · required
currentVenueId
​integer | null · int32 · required
currentVenue
​string | null · required
currentCity
​string | null · required
currentState
​string | null · required
conferenceId
​integer | null · int32 · required
conference
​string | null · required
GET/teams
curl https://api.collegebasketballdata.com/teams \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "id": 0, "sourceId": "sourceId", "school": "school", "mascot": "mascot", "abbreviation": "abbreviation", "displayName": "displayName", "shortDisplayName": "shortDisplayName", "primaryColor": "primaryColor", "secondaryColor": "secondaryColor", "currentVenueId": 0, "currentVenue": "currentVenue", "currentCity": "currentCity", "currentState": "currentState", "conferenceId": 0, "conference": "conference" } ]
json
application/json

GET
https://api.collegebasketballdata.com
/teams/roster
Bearer

Returns team rosters for a season.

query Parameters

season
​integer · int32 · required

The season to return.

team
​string

Filters results to the specified team name.

Responses

200

Ok

​TeamRoster[]
TeamRoster
teamId
​integer · int32 · required
teamSourceId
​string · required
team
​string · required
conference
​string | null · required
season
​number · double · required
​TeamRosterPlayer[] · required
GET/teams/roster
curl 'https://api.collegebasketballdata.com/teams/roster?season=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "teamId": 0, "teamSourceId": "teamSourceId", "team": "team", "conference": "conference", "season": 0, "players": [ { "id": 0, "sourceId": "sourceId", "name": "name", "firstName": "firstName", "lastName": "lastName", "jersey": "jersey", "position": "position", "height": 0, "weight": 0, "hometown": { "countyFips": "countyFips", "longitude": 0, "latitude": 0, "country": "country", "state": "state", "city": "city" }, "dateOfBirth": "2024-08-25", "startSeason": 0, "endSeason": 0 } ] } ]
json
application/json

PlaysConferences